<!--Table here-->
<div class="containerAddButton">
  <button
    *ngIf="this.user.isAdmin"
    type="button"
    class="btn addButton"
    data-toggle="modal"
    (click)="myModal.show()"
  >
    Ajouter un prêt
  </button>
</div>
<div class="card">
  <div class="card-body">
    <div class="loadingTableContainer" *ngIf="isLoading || dataNotFound">
      <div class="loadingTable">
        <div class="dataNotFound" *ngIf="isLoading">
          <div style="opacity: 0.7; color: black">Chargement ...</div>
          <img
            src="assets/img/gif/cloud.gif"
            alt="this scope moves"
            width="70"
          />
        </div>
        <div class="dataNotFound" *ngIf="dataNotFound">
          <div style="color: black">Aucune donnée trouvée !</div>
          <img
            src="assets/img/gif/zoom.gif"
            alt="this scope moves"
            width="50"
          />
        </div>
      </div>
    </div>
    <table class="table table-striped">
      <thead style="z-index: 88" class="tableHead">
        <tr class="table-sm cc">
          <th style="width: 10%; min-width: 60px">
            ID
            <input
              *ngIf="filterId"
              class="inputFilter"
              style="width: 50px"
              type="text"
              [(ngModel)]="filters[0]['id']"
              (keyup)="getSiteTypes(1)"
            />
            <i
              class="fa fa-filter fa-lg customfilter"
              (click)="filterId = !filterId"
            ></i>
          </th>
          <th style="min-width: 80px">Date de début</th>
          <th style="min-width: 80px">Date de fin</th>
          <th style="min-width: 80px">
            élément
            <input
              *ngIf="filterElement"
              class="inputFilter"
              type="text"
              [(ngModel)]="filters[3]['element']"
              (keyup)="getSiteTypes(1)"
            />
            <i
              class="fa fa-filter fa-lg customfilter"
              (click)="filterElement = !filterElement"
            ></i>
          </th>

          <th style="min-width: 80px">
            Hébergement source
            <input
              *ngIf="filterAccommodationSource"
              class="inputFilter"
              type="text"
              [(ngModel)]="filters[4]['accommodation_source']"
              (keyup)="getSiteTypes(1)"
            />
            <i
              class="fa fa-filter fa-lg customfilter"
              (click)="filterAccommodationSource = !filterAccommodationSource"
            ></i>
          </th>
          <th style="min-width: 80px">
            Hébergement ciblé
            <input
              *ngIf="filterAccommodationTarget"
              class="inputFilter"
              type="text"
              [(ngModel)]="filters[5]['accommodation_target']"
              (keyup)="getSiteTypes(1)"
            />
            <i
              class="fa fa-filter fa-lg customfilter"
              (click)="filterAccommodationTarget = !filterAccommodationTarget"
            ></i>
          </th>
          <th style="min-width: 80px">
            Site source
            <input
              *ngIf="filterCampingSource"
              class="inputFilter"
              type="text"
              [(ngModel)]="filters[6]['camping_source']"
              (keyup)="getSiteTypes(1)"
            />
            <i
              class="fa fa-filter fa-lg customfilter"
              (click)="filterCampingSource = !filterCampingSource"
            ></i>
          </th>
          <th style="min-width: 80px">
            Site ciblée
            <input
              *ngIf="filterCampingTarget"
              class="inputFilter"
              type="text"
              [(ngModel)]="filters[7]['camping_target']"
              (keyup)="getSiteTypes(1)"
            />
            <i
              class="fa fa-filter fa-lg customfilter"
              (click)="filterCampingTarget = !filterCampingTarget"
            ></i>
          </th>
          <th *ngIf="this.user.isAdmin" style="width: 80px; padding: 15px 0px">
            Actions
          </th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let siteType of siteTypes">
          <td>{{ siteType.id }}</td>
          <td>{{ siteType.start_date | date: "MMM d, y" }}</td>
          <td>{{ siteType.end_date | date: "MMM d, y" }}</td>
          <td>{{ siteType.element.id }}</td>
          <td>{{ siteType.accommodation_source.id }}</td>
          <td>{{ siteType.accommodation_target.id }}</td>
          <td>{{ siteType.camping_source.name }}</td>
          <td>{{ siteType.camping_target.name }}</td>

          <td style="z-index: 2222" *ngIf="this.user.isAdmin">
            <div class="editIcon">
              <i
                class="icon-note icons font-2xl"
                (click)="showUpdateModal(siteType); myUpdateModal.show()"
              ></i>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
  <div class="count">
    <div>Résultats {{ siteTypes.length }} (filtrés parmi {{ totalCount }})</div>
  </div>
</div>
<div class="pages" *ngIf="totalCount > 10">
  <ul class="pagination">
    <li class="page-item" (click)="getSiteTypes(pagination.first)">
      <a class="page-link"><i class="fa fa-angle-double-left fa-lg"></i></a>
    </li>

    <li class="page-item" (click)="getSiteTypes(pagination.prev)">
      <a class="page-link" *ngIf="pagination.first < pagination.current"
        ><i class="fa fa-angle-left fa-lg"></i
      ></a>
    </li>
    <li class="page-item" (click)="getSiteTypes(pagination.prev - 1)">
      <a class="page-link" *ngIf="pagination.first < pagination.prev">..</a>
    </li>
    <li class="page-item" (click)="getSiteTypes(pagination.prev)">
      <a class="page-link" *ngIf="pagination.prev < pagination.current">{{
        pagination.prev
      }}</a>
    </li>
    <li class="page-item active" (click)="getSiteTypes(pagination.current)">
      <a class="page-link">{{ pagination.current }}</a>
    </li>
    <li class="page-item" (click)="getSiteTypes(pagination.next)">
      <a class="page-link" *ngIf="pagination.next > pagination.current">{{
        pagination.next
      }}</a>
    </li>
    <li class="page-item">
      <a
        class="page-link"
        (click)="getSiteTypes(pagination.next + 1)"
        *ngIf="pagination.next < pagination.last"
        >..</a
      >
    </li>
    <li class="page-item" (click)="getSiteTypes(pagination.next)">
      <a class="page-link" *ngIf="pagination.current != pagination.last"
        ><i class="fa fa-angle-right fa-lg"></i
      ></a>
    </li>
    <li class="page-item" (click)="getSiteTypes(pagination.last)">
      <a class="page-link"><i class="fa fa-angle-double-right fa-lg"></i></a>
    </li>
  </ul>
</div>
<!--Add window-->
<div
  bsModal
  #myModal="bs-modal"
  class="modal fade"
  tabindex="-1"
  role="dialog"
  aria-labelledby="myModalLabel"
  aria-hidden="false"
>
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Ajouter un prêt</h4>
        <button
          type="button"
          class="close"
          (click)="myModal.hide(); resetAddModal()"
          aria-label="Close"
        >
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div role="alert" class="alert alert-success" *ngIf="successAddSiteType">
        un nouveau prêt est ajouté<strong> avec succès.</strong>
      </div>
      <div role="alert" class="alert alert-danger" *ngIf="errorAddSiteType">
        <strong>Oops ! </strong> Modifiez quelques éléments et essayez de
        soumettre de nouveau !
      </div>
      <div class="modal-body">
        <div class="form-group custom-col">
          <label>Date de début</label>
          <input
            type="date"
            class="form-control"
            [(ngModel)]="newtSiteType.startDate"
            style="color: black"
          />
          <div class="errorMessage">
            <span *ngIf="emptyDateStartDate">
              * Veuillez sélectionner une date pour continuer
            </span>
          </div>
        </div>

        <div class="form-group custom-col">
          <label>Date de fin</label>
          <input
            type="date"
            class="form-control"
            [(ngModel)]="newtSiteType.endDate"
            style="color: black"
          />
          <div class="errorMessage">
            <span *ngIf="emptyDateEndDate">
              * Veuillez sélectionner une date pour continuer
            </span>
          </div>
        </div>

        <div class="form-group custom-col">
          <label>ID d'élement</label>
          <select
            style="color: black"
            class="form-control"
            [(ngModel)]="newtSiteType.element"
          >
            <option selected disabled value="">
              Choisir l'id de l'élément
            </option>
            <option *ngFor="let element of elements" [ngValue]="element['@id']">
              {{ element["id"] }}
            </option>
          </select>

          <div class="errorMessage">
            <span *ngIf="emptyPickElement">
              * Veuillez sélectionner une option pour continuer
            </span>
          </div>
        </div>

        <div class="form-group custom-col">
          <label>Hébergement source</label>
          <select
            style="color: black"
            class="form-control"
            [(ngModel)]="newtSiteType.accommodationSource"
          >
            <option selected disabled value="">
              Choisir l'hébergement source
            </option>
            <option
              *ngFor="let accommodation of accommodations"
              [ngValue]="accommodation['@id']"
            >
              {{ accommodation["id"] }}
            </option>
          </select>
          <div class="errorMessage">
            <span *ngIf="emptyPickAccommodationSource">
              * Veuillez sélectionner une option pour continuer
            </span>
          </div>
        </div>
        <div class="form-group custom-col">
          <label>Hébergement ciblé</label>
          <select
            style="color: black"
            class="form-control"
            [(ngModel)]="newtSiteType.accommodationTarget"
          >
            <option selected disabled value="">
              Choisir l'hébergement ciblé
            </option>
            <option
              *ngFor="let accommodation of accommodations"
              [ngValue]="accommodation['@id']"
            >
              {{ accommodation["id"] }}
            </option>
          </select>
          <div class="errorMessage">
            <span *ngIf="emptyPickAccommodationTarget">
              * Veuillez sélectionner une option pour continuer
            </span>
          </div>
        </div>

        <div class="form-group custom-col">
          <label> Site source</label>
          <select
            style="color: black"
            class="form-control"
            [(ngModel)]="newtSiteType.campingSource"
          >
            <option selected disabled value="">Choisir site source</option>
            <option *ngFor="let site of sites" [ngValue]="site['@id']">
              {{ site["name"] }}
            </option>
          </select>
          <div class="errorMessage">
            <span *ngIf="emptyPickCampingSource">
              * Veuillez sélectionner une option pour continuer
            </span>
          </div>
        </div>

        <div class="form-group custom-col">
          <label>Site ciblée </label>
          <select
            style="color: black"
            class="form-control"
            [(ngModel)]="newtSiteType.campingTarget"
          >
            <option selected disabled value="">Choisir site ciblé</option>
            <option *ngFor="let site of sites" [ngValue]="site['@id']">
              {{ site["name"] }}
            </option>
          </select>
          <div class="errorMessage">
            <span *ngIf="emptyPickCampingTarget">
              * Veuillez sélectionner une option pour continuer
            </span>
          </div>
        </div>
      </div>

      <div class="modal-footer">
        <button
          type="button"
          class="btn btn-secondary"
          (click)="myModal.hide(); resetAddModal()"
        >
          Annuler
        </button>
        <button
          type="button"
          class="btn addButton"
          (click)="addNewSiteType(); uniquenessCheck(); checkNoEmptyFields()"
        >
          Ajouter
        </button>
      </div>
    </div>
    <!-- /.modal-content -->
  </div>
  <!-- /.modal-dialog -->
</div>
<!-- /.modal -->

<!-- Update Window !!! -->
<div
  bsModal
  #myUpdateModal="bs-modal"
  class="modal fade"
  tabindex="-1"
  role="dialog"
  aria-labelledby="myModalLabel"
  aria-hidden="false"
>
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Modifier ce prêt</h4>
        <button
          type="button"
          class="close"
          (click)="myUpdateModal.hide(); resetAddModal()"
          aria-label="Close"
        >
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <!--Alert messages here-->
      <div
        class="alert alert-success alert-dismissible fade show"
        role="alert"
        style="
          max-width: 95%;
          margin-left: 10px;
          margin-top: 10px;
          margin-bottom: -8px;
        "
        *ngIf="successModifySiteType"
      >
        Les modifications ont été opérées avec<strong> succès !</strong>
        <button
          type="button"
          class="btn-close"
          data-bs-dismiss="alert"
          aria-label="Close"
        ></button>
      </div>

      <div
        class="alert alert-danger alert-dismissible fade show"
        role="alert"
        style="
          max-width: 95%;
          margin-left: 10px;
          margin-top: 10px;
          margin-bottom: -8px;
        "
        *ngIf="failModifySiteType"
      >
        <strong>Attention </strong> Ce nom existe déjà !
        <button
          type="button"
          class="btn-close"
          data-bs-dismiss="alert"
          aria-label="Close"
        ></button>
      </div>
      <div class="modal-body">
        <div class="form-group custom-col">
          <label>Date de début</label>
          <input
            type="date"
            class="form-control"
            [(ngModel)]="updateSiteType.startDate"
            style="color: black"
          />
        </div>

        <div class="form-group custom-col">
          <label>Date de fin</label>
          <input
            type="date"
            class="form-control"
            [(ngModel)]="updateSiteType.endDate"
            style="color: black"
          />
        </div>

        <div class="form-group custom-col">
          <label>ID d'élement</label>
          <select
            style="color: black"
            class="form-control"
            [(ngModel)]="updateSiteType.element"
          >
            <option selected disabled value="">
              Choisir l'id de l'élément
            </option>
            <option *ngFor="let element of elements" [ngValue]="element['@id']">
              {{ element["id"] }}
            </option>
          </select>
        </div>

        <div class="form-group custom-col">
          <label>Hébergement source</label>
          <select
            style="color: black"
            class="form-control"
            [(ngModel)]="updateSiteType.accommodationSource"
          >
            <option selected disabled value="">
              Choisir l'hébergement source
            </option>
            <option
              *ngFor="let accommodation of accommodations"
              [ngValue]="accommodation['@id']"
            >
              {{ accommodation["id"] }}
            </option>
          </select>
        </div>
        <div class="form-group custom-col">
          <label>Hébergement ciblé</label>
          <select
            style="color: black"
            class="form-control"
            [(ngModel)]="updateSiteType.accommodationTarget"
          >
            <option selected disabled value="">
              Choisir l'hébergement ciblé
            </option>
            <option
              *ngFor="let accommodation of accommodations"
              [ngValue]="accommodation['@id']"
            >
              {{ accommodation["id"] }}
            </option>
          </select>
        </div>

        <div class="form-group custom-col">
          <label> Site source</label>
          <select
            style="color: black"
            class="form-control"
            [(ngModel)]="updateSiteType.campingSource"
          >
            <option selected disabled value="">Choisir site source</option>
            <option *ngFor="let site of sites" [ngValue]="site['@id']">
              {{ site["name"] }}
            </option>
          </select>
        </div>

        <div class="form-group custom-col">
          <label>Site ciblée </label>
          <select
            style="color: black"
            class="form-control"
            [(ngModel)]="updateSiteType.campingTarget"
          >
            <option selected disabled value="">Choisir site ciblé</option>
            <option *ngFor="let site of sites" [ngValue]="site['@id']">
              {{ site["name"] }}
            </option>
          </select>
        </div>
      </div>

      <div class="modal-footer">
        <button
          type="button"
          class="btn btn-secondary"
          (click)="myUpdateModal.hide()"
        >
          Annuler
        </button>
        <button
          name="submit"
          type="button"
          class="btn btn-success"
          (click)="putSiteType()"
        >
          Enregistrer
        </button>
      </div>
    </div>
    <!-- /.modal-content -->
  </div>
  <!-- /.modal-dialog -->
</div>
<!-- /.modal -->
